import { Base, Type } from "igniteui-react-core/ES5/type";
export declare class DataSourceManager extends Base {
    private d;
    private c;
    private b;
    private a;
    constructor();
    e(target_: any, dataSource_: any): void;
    private f(target_);
    static $t: Type;
}
